import os
from flask import Flask

import data.document

def create_app():
	app = Flask(__name__)
	
	src_path = os.path.dirname(os.path.realpath(__file__))
	data.document.set_document_root(os.path.realpath(src_path+'/../data/doc'))

	from api import api_document
	app.register_blueprint(api_document.bp)
	
	from web import web_document
	app.register_blueprint(web_document.bp)
	
	from web.admin import admin
	app.register_blueprint(admin.bp)
	
	from web.admin import admin_document
	app.register_blueprint(admin_document.bp)

	return app
